Subject: Re: bug#16096: emacs_abort in bidi_initialize + 126 / Fselect_frame -- uniprop_table returns NIL

From: David Reitter <[email-masked]>
Date: Tue, 10 Dec 2013 12:07:59 -0500

On Dec 10, 2013, at 11:28 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> 
> Actually, there's something else that is strange in this report:
> 
>  The last merged change in bidi.c is
> 
>  Author: Paul Eggert <[email-masked]>
>  Date:   Tue Sep 17 00:06:42 2013 -0700
> 
>      Don't overuse 'const' in types of locals.
> 
> How come an Emacs built on Dec 9 has its last change in bidi.c in
> September?  Is this the development trunk or something else?  If the
> former, which bzr revision does it correspond to?

Because it's my branch.  I merge in upstream changes from the development trunk, although at the moment, I'm holding off until some other things stabilize.

Last merge before Dec 9:

commit ebc596e931fa753c297bf004d39a37b379e0ba7f
Merge: d689b24 7c50156
Author: David Reitter <[email-masked]>
Date:   Thu Oct 24 12:54:56 2013 -0400

I don't have Bzr revisions for you.

That's why it does not contain your fixes dated Nov 22 and Dec 4.  It would probably make sense to merge these changes.

Aquamacs contains no other changes to bidi.c.   `visual-order-cursor-movement' is t by default.